Skip to Content
LurkrLurkr Docs
Levels

Get Leaderboard

Returns the leaderboard for a guild. This endpoint is paginated and returns up to 100 results per call.

GET
/levels/{entry}

Returns the leaderboard for a guild. This endpoint is paginated and returns up to 100 results per call.

Path Parameters

entry*|

Guild ID or leaderboard vanity

Query Parameters

page*integer
Range1 <= value

Response Body

Default Response

application/json
  1. response
guild*
isManager*boolean
levels*array<>
multipliers*array<>
roleRewards*array<>
vanity*|null
xpGainInterval*integer

The cooldown period for XP gain in seconds

Range10000 <= value <= 86400000
xpGlobalMultiplier*number
Range0 <= value <= 5
xpPerMessageMax*integer

Maximum XP to gain per message

Range1 <= value <= 1000
xpPerMessageMin*integer

Minimum XP to gain per message

Range1 <= value <= 1000
Example Request
curl -X GET 'https://api.lurkr.gg/v2/levels/stringstringstrin?page=1'
Example Response
{  "guild": {    "icon": "string",    "id": "stringstringstrin",    "memberCount": 1,    "name": "string",    "nsfw": true  },  "isManager": true,  "levels": [    {      "level": 0,      "messageCount": 0,      "nextLevelXp": 0,      "progress": 0,      "rank": 1,      "user": {        "accentColour": "string",        "avatar": "stringstringstringstringstringst",        "discriminator": "strin",        "globalName": "string",        "username": "string"      },      "userId": "stringstringstrin",      "xp": 0    }  ],  "multipliers": [    {      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",      "multiplier": 0,      "targets": [        {          "color": 0,          "id": "stringstringstrin",          "name": "string",          "position": 0        }      ],      "type": "Channel"    }  ],  "roleRewards": [    {      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",      "level": 0,      "roles": [        {          "color": 0,          "id": "stringstringstrin",          "name": "string",          "position": 0        }      ]    }  ],  "vanity": "string",  "xpGainInterval": 10000,  "xpGlobalMultiplier": 0,  "xpPerMessageMax": 1,  "xpPerMessageMin": 1}